BR tags no longer working in textile
Status: Closed Start date: 2008-03-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I have lots of <br> or <br /> tags in my wiki pages, which are now rendered as text.  From the docs I don't see another way to force a

break.  I wasn't paying very close attention but I assume this was changed in r1216.  Could we add this to the list of respected HTML

tags?  Better yet, could we make that list configurable?

Associated revisions

Revision 1259 - 2008-03-16 11:09 - Jean-Philippe Lang

Add a margin to the bottom of wiki tables (#843).

History

#1 - 2008-03-12 23:38 - Jean-Philippe Lang

Actually, there's no need for br tags. You can just use the carriage return.

This:

line 1

line 2

 Displays:

line 1

line 2

Do you have an example where a br tag is needed ?

#2 - 2008-03-13 02:08 - Rocco Stanzione

Yeah carriage returns will do line breaks, but like other whitespace consecutive ones aren't respected.  Where I'm using the br tags is mostly after wiki

tables, where there's an unattractive lack of whitespace between the table and the, say, h2 that comes after it.  So, I really only need it for vertical

whitespace, not just line breaks.  I'll do an example here...

this is a table

with just two rows

And this is a header

There are three carriage returns between the table and the header, and I don't seem to have a way to add actual whitespace between them.

#3 - 2008-03-15 00:38 - Mateo Murphy

Your issue might be better handled by modifying the wiki's css styles to add margins to the bottom of tables and/or the top of the headers. Are you

finding you need extra whitespace after something other than a table?

#4 - 2008-03-21 21:16 - Rocco Stanzione

r1259 made me happy - if no one else wants br tags, this issue is safe to close.

#5 - 2008-03-21 22:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7
- Resolution set to Fixed

Fine. Reopen if needed.

#6 - 2008-04-09 14:23 - Morbus Iff

- Status changed from Closed to Reopened

Reopening. This killed my wiki.

I have complex HTML needs for a wiki (such as a global Navigation box that appears in the header of every page, and includes <div> formatting) and

also go back and forth between a local HTML document and the wiki. I need the ability to include raw HTML in the wiki and have it work as expected.

I've now got a 100 page (private) wiki which is horrifically broken due to the escaping :(

Perhaps we could get some sort of <raw> or <html> tag? Textile is not everyone's savior.

#7 - 2008-04-09 14:31 - Morbus Iff

+1 to allowing ALLOWED_TAGS be editable in the admin, per project.

#8 - 2008-04-09 20:10 - Eric Davis

+1 to allowing ALLOWED_TAGS be editable in the admin.  I use blockquote all the time to reference quotes and it's hard to use the Textile bq. on

every paragraph.  Should have the same rules for issue descriptions.

#9 - 2008-04-27 17:57 - Jean-Philippe Lang

- Target version deleted (0.7)

#10 - 2008-11-11 22:50 - Jack Christensen

+1 to editing ALLOWED_TAGS. I need to have line breaks in tables and now I have to monkey patch to allow br's.

#11 - 2008-11-18 02:37 - Arndt Lehmann

+1: I am also looking for a way to have line breaks within table cells.

#12 - 2009-03-06 15:51 - Eric Voisard

+1: I see many reasons why consecutive line breaks should be respected: readability, page layout, respect to copy&paste structure of text files such

as logs, traces, etc... well, all pertain to readability in fact...

Maybe convenience as well: we should expect people updating wikis not all being web developers but MS Word and the like users: with the tools they

are used to, when they press <return> several times, it puts space between their lines of text. It's basic and it's the most straightforward way to adjust

page layout.

When they (well me too!) do the same in Redmine's wiki editor, I think they expect the same behavior, especially since they can enter blank lines in

the editor...

Besides this, thanks to Redmine's Team for the very nice software

Eric

#13 - 2009-03-12 09:13 - Richard Pecl

+1: for advanced wiki formatting <div> is essential

#14 - 2009-07-13 16:47 - Emrah KAVUN

Any update regarding this issue?

I am using Redmine 0.8.4.stable.2819 and my html tags are not interpreted. E.g.: <br /> doesn't put a line break. (seems to be the case here too)

Any possible changes I could make in redcloth3 configs?

#15 - 2009-07-13 17:53 - Jack Christensen

Put the following in an initializer:

RedCloth3::ALLOWED_TAGS << "br" 

#16 - 2009-07-13 18:46 - Emrah KAVUN

Thanks a lot, it worked perfectly fine.

#17 - 2010-03-18 21:10 - Jean-Philippe Lang

2025-05-17 2/3



- Status changed from Reopened to Closed

- Resolution changed from Fixed to Wont fix

+1: I see many reasons why consecutive line breaks should be respected: readability, page layout, respect to copy&paste structure of text files

such as logs, traces, etc

 Using pre tags is great for logs or stack traces.
